Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.jdbc
Interface Work

All Known Implementing Classes:
  AbstractWork, BaseCoreFunctionalTestCase.RollbackWork

    public interface Work

Contract for performing a discrete piece of JDBC work.

Method Summary
`void` | `execute(Connection connection)` Execute the discrete work encapsulated by this work instance using the supplied connection.

Method Detail

### execute

    void execute(Connection connection)
                 throws SQLException

  Execute the discrete work encapsulated by this work instance using the supplied connection.

  Parameters:
    `connection` - The connection on which to perform the work.
  Throws:
    `SQLException` - Thrown during execution of the underlying JDBC interaction.
    `HibernateException` - Generally indicates a wrapped SQLException.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.